package com.docus.server.convert;

import com.docus.infrastructure.web.response.PageResult;
import com.docus.server.entity.segmentation.ZdAssort;
    import com.docus.server.dto.segmentation.zdassort.AddZdAssortDTO;
    import com.docus.server.dto.segmentation.zdassort.EditZdAssortDTO;
    import com.docus.server.dto.segmentation.zdassort.DeleteZdAssortDTO;
import com.docus.server.vo.segmentation.zdassort.ZdAssortVO;

import org.mapstruct.Mapper;
import org.mapstruct.Mappings;
import org.mapstruct.factory.Mappers;

import java.util.List;

/**
*
* 病案分类 服务转换器
*
* @author AutoGenerator
* @since 2023-08-30
*/
@Mapper
public interface ZdAssortConvert {

    ZdAssortConvert INSTANCE = Mappers.getMapper(ZdAssortConvert.class);

    @Mappings({})
    ZdAssort convertDO(AddZdAssortDTO addZdAssortDTO);

    @Mappings({})
    ZdAssort convertDO(EditZdAssortDTO editZdAssortDTO);

    @Mappings({})
    List<ZdAssort> convertAddDOList(List<AddZdAssortDTO> addZdAssortDTO);

    @Mappings({})
    List<ZdAssort> convertEditDOList(List<EditZdAssortDTO> editZdAssortDTO);

    @Mappings({})
    ZdAssortVO convertVO(ZdAssort zdAssort);

    @Mappings({})
    List<ZdAssortVO> convertVO(List<ZdAssort> zdAssortList);

    @Mappings({})
    PageResult<ZdAssortVO> convertVO(PageResult<ZdAssort> pageResult);
}

